
CREATE TABLE Wisep (
    objid INT8			NOT NULL, -- PRIMARY KEY,
    designation CHAR(20)	NOT NULL,
    ra FLOAT8 NOT NULL,
    dec FLOAT8 NOT NULL,
    sigra FLOAT4,
    sigdec FLOAT4,
    sigradec FLOAT4,
    glon FLOAT8	NOT NULL,
    glat FLOAT8	NOT NULL,
    elon FLOAT8	NOT NULL,
    elat FLOAT8	NOT NULL,
    wx FLOAT8	NOT NULL,
    wy FLOAT8	NOT NULL,
    cntr CHARACTER(19)	NOT NULL,
    source_id CHARACTER(20)	NOT NULL,
    coadd_id CHARACTER(13)	NOT NULL,
    src INT4	NOT NULL,

    w1mpro FLOAT4,
    w1sigmpro FLOAT4,
    w1snr FLOAT4,
    w1rchi2 FLOAT4,

    w2mpro FLOAT4,
    w2sigmpro FLOAT4,
    w2snr FLOAT4,
    w2rchi2 FLOAT4,

    w3mpro FLOAT4,
    w3sigmpro FLOAT4,
    w3snr FLOAT4,
    w3rchi2 FLOAT4,

    w4mpro FLOAT4,
    w4sigmpro FLOAT4,
    w4snr FLOAT4,
    w4rchi2 FLOAT4,

    rchi2 FLOAT4,
    nb SMALLINT,
    na SMALLINT,

    w1sat FLOAT4,
    w2sat FLOAT4,
    w3sat FLOAT4,
    w4sat FLOAT4,
    satnum CHARACTER(4)	NOT NULL,

    cc_flags CHARACTER(4)	NOT NULL,
    ext_flg CHARACTER(1)	NOT NULL,
    var_flg CHARACTER(4),
    ph_qual CHARACTER(4)	NOT NULL,

    det_bit SMALLINT	NOT NULL,
    w1nm SMALLINT,
    w1m SMALLINT,
    w2nm SMALLINT,
    w2m SMALLINT,
    w3nm SMALLINT,
    w3m SMALLINT,
    w4nm SMALLINT,
    w4m SMALLINT,

    w1cov FLOAT4,
    w2cov FLOAT4,
    w3cov FLOAT4,
    w4cov FLOAT4,
    w1frl FLOAT4,
    w2frl FLOAT4,
    w3frl FLOAT4,
    w4frl FLOAT4,

    w1cc_map SMALLINT	NOT NULL,
    w1cc_map_str CHARACTER(12),
    w2cc_map SMALLINT	NOT NULL,
    w2cc_map_str CHARACTER(12),
    w3cc_map SMALLINT	NOT NULL,
    w3cc_map_str CHARACTER(12),
    w4cc_map SMALLINT	NOT NULL,
    w4cc_map_str CHARACTER(12),

    w1flux FLOAT4,
    w1sigflux FLOAT4,
    w1sky FLOAT4,
    w1sigsk FLOAT4,
    w1conf FLOAT4,
    w2flux FLOAT4,
    w2sigflux FLOAT4,
    w2sky FLOAT4,
    w2sigsk FLOAT4,
    w2conf FLOAT4,
    w3flux FLOAT4,
    w3sigflux FLOAT4,
    w3sky FLOAT4,
    w3sigsk FLOAT4,
    w3conf FLOAT4,
    w4flux FLOAT4,
    w4sigflux FLOAT4,
    w4sky FLOAT4,
    w4sigsk FLOAT4,
    w4conf FLOAT4,

    w1mag FLOAT4,
    w1sigm FLOAT4,
    w1flg SMALLINT,
    w1mcor FLOAT4,
    w2mag FLOAT4,
    w2sigm FLOAT4,
    w2flg SMALLINT,
    w2mcor FLOAT4,
    w3mag FLOAT4,
    w3sigm FLOAT4,
    w3flg SMALLINT,
    w3mcor FLOAT4,
    w4mag FLOAT4,
    w4sigm FLOAT4,
    w4flg SMALLINT,
    w4mcor FLOAT4,

    w1mag_1 FLOAT4,
    w1sigm_1 FLOAT4,
    w1flg_1 SMALLINT,
    w2mag_1 FLOAT4,
    w2sigm_1 FLOAT4,
    w2flg_1 SMALLINT,
    w3mag_1 FLOAT4,
    w3sigm_1 FLOAT4,
    w3flg_1 SMALLINT,
    w4mag_1 FLOAT4,
    w4sigm_1 FLOAT4,
    w4flg_1 SMALLINT,

    w1mag_2 FLOAT4,
    w1sigm_2 FLOAT4,
    w1flg_2 SMALLINT,
    w2mag_2 FLOAT4,
    w2sigm_2 FLOAT4,
    w2flg_2 SMALLINT,
    w3mag_2 FLOAT4,
    w3sigm_2 FLOAT4,
    w3flg_2 SMALLINT,
    w4mag_2 FLOAT4,
    w4sigm_2 FLOAT4,
    w4flg_2 SMALLINT,

    w1mag_3 FLOAT4,
    w1sigm_3 FLOAT4,
    w1flg_3 SMALLINT,
    w2mag_3 FLOAT4,
    w2sigm_3 FLOAT4,
    w2flg_3 SMALLINT,
    w3mag_3 FLOAT4,
    w3sigm_3 FLOAT4,
    w3flg_3 SMALLINT,
    w4mag_3 FLOAT4,
    w4sigm_3 FLOAT4,
    w4flg_3 SMALLINT,

    w1mag_4 FLOAT4,
    w1sigm_4 FLOAT4,
    w1flg_4 SMALLINT,
    w2mag_4 FLOAT4,
    w2sigm_4 FLOAT4,
    w2flg_4 SMALLINT,
    w3mag_4 FLOAT4,
    w3sigm_4 FLOAT4,
    w3flg_4 SMALLINT,
    w4mag_4 FLOAT4,
    w4sigm_4 FLOAT4,
    w4flg_4 SMALLINT,

    w1mag_5 FLOAT4,
    w1sigm_5 FLOAT4,
    w1flg_5 SMALLINT,
    w2mag_5 FLOAT4,
    w2sigm_5 FLOAT4,
    w2flg_5 SMALLINT,
    w3mag_5 FLOAT4,
    w3sigm_5 FLOAT4,
    w3flg_5 SMALLINT,
    w4mag_5 FLOAT4,
    w4sigm_5 FLOAT4,
    w4flg_5 SMALLINT,

    w1mag_6 FLOAT4,
    w1sigm_6 FLOAT4,
    w1flg_6 SMALLINT,
    w2mag_6 FLOAT4,
    w2sigm_6 FLOAT4,
    w2flg_6 SMALLINT,
    w3mag_6 FLOAT4,
    w3sigm_6 FLOAT4,
    w3flg_6 SMALLINT,
    w4mag_6 FLOAT4,
    w4sigm_6 FLOAT4,
    w4flg_6 SMALLINT,

    w1mag_7 FLOAT4,
    w1sigm_7 FLOAT4,
    w1flg_7 SMALLINT,
    w2mag_7 FLOAT4,
    w2sigm_7 FLOAT4,
    w2flg_7 SMALLINT,
    w3mag_7 FLOAT4,
    w3sigm_7 FLOAT4,
    w3flg_7 SMALLINT,
    w4mag_7 FLOAT4,
    w4sigm_7 FLOAT4,
    w4flg_7 SMALLINT,

    w1mag_8 FLOAT4,
    w1sigm_8 FLOAT4,
    w1flg_8 SMALLINT,
    w2mag_8 FLOAT4,
    w2sigm_8 FLOAT4,
    w2flg_8 SMALLINT,
    w3mag_8 FLOAT4,
    w3sigm_8 FLOAT4,
    w3flg_8 SMALLINT,
    w4mag_8 FLOAT4,
    w4sigm_8 FLOAT4,
    w4flg_8 SMALLINT,

    w1magp FLOAT4,
    w1sigp1 FLOAT4,
    w1sigp2 FLOAT4,
    w2magp FLOAT4,
    w2sigp1 FLOAT4,
    w2sigp2 FLOAT4,
    w3magp FLOAT4,
    w3sigp1 FLOAT4,
    w3sigp2 FLOAT4,
    w4magp FLOAT4,
    w4sigp1 FLOAT4,
    w4sigp2 FLOAT4,

    xscprox FLOAT4,
    w1rsemi FLOAT4,
    w1ba FLOAT4,
    w1pa FLOAT4,
    w1gmag FLOAT4,
    w1gerr FLOAT4,
    w1gflg SMALLINT,
    w2rsemi FLOAT4,
    w2ba FLOAT4,
    w2pa FLOAT4,
    w2gmag FLOAT4,
    w2gerr FLOAT4,
    w2gflg SMALLINT,
    w3rsemi FLOAT4,
    w3ba FLOAT4,
    w3pa FLOAT4,
    w3gmag FLOAT4,
    w3gerr FLOAT4,
    w3gflg SMALLINT,
    w4rsemi FLOAT4,
    w4ba FLOAT4,
    w4pa FLOAT4,
    w4gmag FLOAT4,
    w4gerr FLOAT4,
    w4gflg SMALLINT,

    tmass_key CHARACTER(10),
    r_2mass FLOAT4,
    pa_2mass FLOAT4,
    n_2mass SMALLINT,
    j_m_2mass FLOAT4,
    j_msig_2mass FLOAT4,
    h_m_2mass FLOAT4,
    h_msig_2mass FLOAT4,
    k_m_2mass FLOAT4,
    k_msig_2mass FLOAT4,

    cx	FLOAT8			NOT NULL,
    cy	FLOAT8			NOT NULL,
    cz	FLOAT8			NOT NULL,
    spt_ind	CHARACTER(9)	NOT NULL
) TABLESPACE ts_2mass_wisep_main;

CREATE TABLE Wisep_eqi (
    _objid INT4			NOT NULL, -- PRIMARY KEY,
    rai	  INT4			NOT NULL,
    deci  INT4			NOT NULL
) TABLESPACE ts_2mass_wisep_eqi;
